package com.demo.common.controller;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class Welcomecontroller {

	private static final Logger logr = Logger.getLogger(Welcomecontroller.class);
	@RequestMapping(value = "/", method = RequestMethod.GET)
	public ModelAndView getwelcome() {

		//logs debug message
		if(logr.isDebugEnabled()){
			logr.debug("getwelcome method is executed!");
		}
		//logs for exception
		logr.error("This is an error message", new Exception("Testing"));
		
		ModelAndView model = new ModelAndView("Welcome");
		model.addObject("message", "Hello! This is Spring MVC and Log4j");
		return model;

	}

}
